import { isNotIncludeSpecialChar } from "../../../utils/validator";

const isNotIncludeSpecialCharVli = (rule, value, callback) => {
  if (isNotIncludeSpecialChar(value)) {
    return callback();
  } else {
    return callback(new Error("只能输入中英文数字"));
  }
};
// 规则提交，表单默认数据
export const formDefault = {
    ruleName: "",
    ruleRange: [],
    guideStyle: "DEFAULT",
    distributeType: "AUTO",
    members: [],
    distributeRule: "SORT",
    member: "",
    newCustomerMessage: "",
};
// 规则提交，表单默认验证
export const formRule = {
  ruleName: [
    { required: true, message: "请输入", trigger: "blur" },
    { validator: isNotIncludeSpecialCharVli, trigger: "blur" }
  ],
  ruleRange: [{ required: true, message: "请选择", trigger: "change" }],
  guideStyle: [{ required: true, message: "请选择", trigger: "change" }],
  distributeType: [{ required: true, message: "请选择", trigger: "change" }],
  newCustomerMessage: [{ required: true, message: "请输入", trigger: "blur" }]
};
// 欢迎语回复，表单默认数据
export const replyDefault = {
  messageType: "IMG",
  linkUrl: "",
  title: "",
  description: "",
  miniId: "",
  miniTitle: "",
  miniUrl: ""
};
// 状态
export const ruleStatus = {
  INVALID: "无效",
  VALID: "有效",
};
