import './style/index.scss';
import CodeManage from "./components/CodeManage"
import CustomerManage from "./components/CustomerManage"
let components = [CodeManage, CustomerManage]

const install = (Vue, options = {}) => {
  // 判断是否已安装
  if (install.installed) return
  install.installed = true
  // 添加全局mixins
  let mixins = {
    data() {
      return {
        ...options
      };
    },
  }
  Vue.mixin(mixins);
  // 遍历注册所有组件
  components.map(component => {
    Vue.component(component.name, component)
    // 挂载到 Vue 原型链，在 .vue 文件中，可以使用 this.$name 查看属性
    Vue.prototype[`$${component.name}`] = {
      options: options,
      component: component
    };
  })
}

// 检测到Vue再执行
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  install,
  // 所有组件,必须具有 install 才能 Vue.use()
  ...components,
}
