const path = require('path');
const webpack = require('webpack')

module.exports = {
  publicPath: '/',
  productionSourceMap: false,
  configureWebpack: {
    plugins: [
      new webpack.optimize.LimitChunkCountPlugin({
        maxChunks: 1  // 限制只打一个包，不分Chunk
      })
    ]
  },
  // 对内部的 webpack 配置（比如修改、增加Loader选项）(链式操作)
  chainWebpack: config => {
      config.resolve.alias
        .set('~', path.resolve('plugins'))

      config.module
        .rule('js')
        .include.add('/plugins').end()
        .use('babel')
        .loader('babel-loader')
        .tap(options => {
          return options
        })
  },
  devServer: {
    proxy: 'http://192.168.100.126:8030'
  }
};
